Bug 57511 - printtool barfs
printtool barfs
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-python (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-12-14 13:03 EST by Mario Mikocevic
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-14 19:40:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mario Mikocevic 2001-12-14 13:03:39 EST
Description of Problem:

Another python1.5 legacy problem. :}
pygtk is still on python1.5 drugs so printtool on invokation
barfs that can not find module named gtk.

Version-Release number of selected component (if applicable):

# rpm -qa | grep pygtk

How Reproducible:


Steps to Reproduce:
1. printtool

Actual Results:

# printtool
Traceback (most recent call last):
  File "/usr/sbin/printtool", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 83, in ?
    import gtk, gnome.ui, libglade, gnome.xmhtml
ImportError: No module named gtk

Expected Results:

printer setup with `printtool` :)

Additional Information:
Thanks for taking care of alchemist !:)
Comment 1 Tim Waugh 2002-01-25 10:22:26 EST
Reassigning; all printconf does is 'import gtk'.
Comment 2 Matt Wilson 2002-12-14 19:40:09 EST
printtool is using gtk 2.0 bindings now.

Note You need to log in before you can comment on or make changes to this bug.